require "import"
import "androlua.*"
import "luajava.*"

-- Function to generate random number between min and max
function getRandom(min, max)
    return math.floor(Math.random() * (max - min + 1) + min)
end

-- Use a random seed based on unpredictable factors (time and other variables)
local randSeed = math.floor(Math.random() * 1000000) + os.time()
math.randomseed(randSeed)

-- Define the possible ranges dynamically
local ranges = {
    {0, 6},
    {2, 6},
    {3, 5},
    {3, 6},
    {1, 4},
    {4, 6}
}

-- Select a random range
local range = ranges[math.floor(Math.random() * #ranges) + 1]

local min = range[1]
local max = range[2]

-- Generate a random number within the selected range
local r = getRandom(min, max)

-- 1% chance to repeat the last number
local repeatChance = math.random()
if repeatChance <= 0.01 then
    r = getRandom(min, max)  -- Repeat with a very low probability
end

-- Output the randomly generated number
local s = ""..r

-- Click logic (unchanged from your original script)
if service.click({{s,}}) then
    return true
end